/*
 * ChildrenIterator.java
 *
 * Created on March 18, 2001, 2:35 PM
 */

package IDE.CodeEditor;

/**
 * Iterator over the children of a SyntaxElement
 * @author  marc
 * @version 
 */
public interface CodeElementIterator
{
    /** Get the next element */
    public CodeElement next();
    /** Peek for the next element */
    public CodeElement peek();
    /** Get the current position */
    public int getPosition();
    /** Set the current position */
    public void setPosition(int i);
    /** Get the number of elements still to iterate over */
    public int getNextCount();
}
