/*
 * CodeLeafNewLineElement.java
 *
 * Created on October 7, 2001, 3:30 PM
 */

package IDE.CodeEditor;

import java.awt.*;
import IDE.Configuration.*;

/**
 * Represents a new line leaf element
 * @author  marc
 * @version 
 */
public class CodeLeafNewLine extends CodeLeafSeparator
{
    /** Creates new CodeLeafNewLineElement */
    public CodeLeafNewLine(CodeDocument document, int begin) 
    {
        super(document,begin);
    }
    /** Get the color of the new line */
    public Color getColor()
    {
        return Configuration.colorEndline;
    }
}
