/*
 * Created on May 25, 2003
 */
 
package IDE.CodeEditor.Parser;

import IDE.CodeEditor.CodeDocument;
import IDE.CodeEditor.CodeElement;
import javax.swing.text.*;
/**
 * @author marc
 * This is a not a real CodeElement, it is used as a marker by the findHints() method
 * of a anlyzer to mark the position in a structure where the findHints() method has 
 * to find hints for.
 * The begin(),end(),getString() and isFirst() methods are not really implemented
 */
public class HintMarkerElement extends CodeElement
 {
 	/* Represents the syntax description that is found for this element */
 	private String syntax=null;
	/* (non-Javadoc) Not used at all 
	 * @see IDE.CodeEditor.CodeElement#begin()
	 */
	public int begin() 
	{
		return 0;
	}
	/*
	 *  (non-Javadoc) Not used at all
	 * @see IDE.CodeEditor.CodeElement#beginPosition()
	 */
	public Position beginPosition()
	{
		return null;
	}
	/*
	 *  (non-Javadoc) Not used at all
	 * @see IDE.CodeEditor.CodeElement#length()
	 */
	public int length()
	{
		return 0;
	}
	/* (non-Javadoc) Not used at all
	 * @see IDE.CodeEditor.CodeElement#end()
	 */
	public int end() 
	{
		return 0;
	}

	/* (non-Javadoc) Not used at all
	 * @see IDE.CodeEditor.CodeElement#getString(IDE.CodeEditor.CodeDocument)
	 */
	public String getString(CodeDocument document) 
	{
		return null;
	}
	/**
	 * Set the Syntax description of this element to syntax
	 * @param syntax The syntax description
	 */
	public void setHintSyntax(String syntax)
	{	
		this.syntax=syntax;
	}
	/**
	 * Get the Syntax description of this element
	 * @return The syntax description
	 */
	public String getHintSyntax()
	{
		return syntax;
	}
	/* (non-Javadoc) Not used at all
	 * @see IDE.CodeEditor.CodeElement#isFirst(IDE.CodeEditor.CodeElement)
	 */
	protected boolean isFirst(CodeElement child)
	 {
		return false;
	}
	
}
