/*
 * LispQuoteElement.java
 *
 * Created on March 13, 2002, 5:28 PM
 */

package IDE.CodeEditor.Parser;

import java.awt.*;
import IDE.Configuration.*;
import IDE.CodeEditor.*;

/**
 * Represent a backquote element (can contain a list of elements)
 * @author  marc
 */
public class LispBackQuoteElement extends CodeStructureElement
{   
    /** Quoted element */
    private CodeElement quoted;
    /** Creates a new instance of LispQuoteElement */
    public LispBackQuoteElement()
    {
        super();
    }
    /** Set the quoted element */
    public void setQuoted(CodeElement quoted)
    {
        this.quoted=quoted;
    }
    /** Get the quoted element */
    public CodeElement getQuoted()
    {
        return quoted;
    }
    /** Get the color of the element */
    public Color getColor()
    {
        return Configuration.colorBackQuote;
    }
}
