/*
 * Region.java
 *
 * Created on November 11, 2001, 9:51 AM
 */

package IDE.CodeEditor;

/**
 * Consist of two integers indicating a region in document
 * REMARK: Modifying of the document makes regions invalid because int's are used and not positions
 * @author  marc
 */
public class Region implements Comparable
{
    /** Begin of region */
    public int begin;
    /** End of region */
    public int end;
    /** Creates new Region */
    public Region(int begin,int end)
    {
        this.begin=begin;
        this.end=end;
    }
    /*
     * Order regions (one region lies before another if its begin lies before the other or if both 
     * begins are equal if its ends liies before the other ends
     */
    
    public int compareTo(Object obj)
    {
        if (obj instanceof Region)
        {
            Region region=(Region) obj;
            if (begin==region.begin)
                return end-region.end;
            else
                return begin-region.begin;
        }
        else
        {
            return 1;
        }
    }
}
