/*
 * IDEFocusManager.java
 *
 * Created on February 25, 2002, 5:28 PM
 */

package IDE;

import IDE.CodeEditor.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
/**
 * Focus manager replacing the default focus manager, essentially we will disable the 
 * focus manager if the component in focus is a CodeEditor
 * @author  marc
 */
public class IDEFocusManager extends DefaultFocusManager
{
    
    /** Creates a new instance of IDEFocusManager */
    public IDEFocusManager()
    {
    }
    /** Process the KeyEvents */
    public void processKeyEvent(Component component,KeyEvent ev)
    {
        if (component instanceof CodeEditor)
            return;
        else
            super.processKeyEvent(component,ev);
    }
}
