/*
 * IDEVetoableChangeListener.java
 *
 * Created on November 11, 2002, 3:41 PM
 */

package IDE;

import java.beans.*;
/**
 *
 * @author  marc
 */
public class IDEVetoableChangeListener implements VetoableChangeListener
{
    public static int event=0;
    /** Creates a new instance of IDEVetoableChangeListener */
    public IDEVetoableChangeListener()
    {
    }
    /** This method gets called when a constrained property is changed.
     *
     * @param     evt a <code>PropertyChangeEvent</code> object describing the
     *   	      event source and the property that has changed.
     * @exception PropertyVetoException if the recipient wishes the property
     *              change to be rolled back.
     *
     */
    public void vetoableChange(PropertyChangeEvent ev) throws PropertyVetoException
    {
        System.out.println("Event="+event++);
        System.out.println("New="+ev.getNewValue()+" type="+(ev.getNewValue()==null ? "null" : ev.getNewValue().getClass().getName()));
        System.out.println("Old="+ev.getOldValue()+" type="+(ev.getOldValue()==null ? "null" : ev.getOldValue().getClass().getName()));
    }
}
