/*
 * IIDEAddInn.java
 *
 * Created on December 30, 2001, 9:01 PM
 */

package IDE;

import java.io.*;
/**
 * Interface that must be implemented by all the addins
 * @author  marc
 */
public interface IIDEAddin 
{
    /** 
     * This method will be called just before exit and allow the addin to save its state, the addin must be registered via a call
     * to Main.registerAddin()
     * Use the XMLConfigClass(Field,Methodor Object) objects to serialize this class
     */
    public abstract void saveState(Writer writer);
}

