/*
 * DebugCodePane.java
 *
 * Created on April 25, 2002, 8:51 PM
 */

package IDE.Interaction;

import IDE.CodeEditor.*;
import IDE.CodeEditor.Parser.*;

/**
 * Represents a code pane only to contain code to display in debugging a single function, at the end of the debugging session 
 * this pane will be destroyed, during close of Jabberwocky we may not save the state of this pane
 * @author  marc
 */
public class DebugCodePane extends CodePane
{
    
    /** Creates a new instance of DebugCodePane */
    public DebugCodePane(Parser parser,String code)
    {
        super(parser);
        getEditor().insertStringAt(code,0);
    }
    
}
