/*
 * LispObject.java
 *
 * Created on July 15, 2000, 9:26 PM
 */

package IDE.LispConnection;

/**
 *
 * @author  marc
 * @version 0.1
 * Class to represent a Lisp Object
 */
public class LispObject
{
    /* id where this object is know by in LISP */
    private long id;
    /** Get the connection to the LISP subsystem where this object is know */
    private LispConnection connection;
    /** Creates new LispObject */
    public LispObject(long nr,LispConnection connection)
    {
        id=nr;
        this.connection=connection;
    }
    /** Get the id of the LispObject */
    public long getId()
    {
        return id;
    }
    /** Get the connection this lisp object is associated with */
    public LispConnection getLispConnection()
    {
        return connection;
    }
}