/*
 * MacroNode.java
 *
 * Created on May 9, 2002, 12:56 PM
 */

package IDE.Recording;

/**
 * Represents a macro node
 * @author  marc
 */
public class MacroNode extends AbstractMacroNode
{
    String name;
    /** Creates a new instance of MacroNode */
    public MacroNode(String name)
    {
        super(name);
        this.name=name;
    }
    /** Get the records associated with this node */
    public Macro getMacro()
    {
        return Recording.getMacro(name);
    }
    /** Get the name of this node  */
    public String getName()
    {
        return name;
    }
    /** Indicates this is not a leaf */
    public boolean isLeaf()
    {
        return false;
    }
}