/*
 * StartRecordingAction.java
 *
 * Created on May 5, 2002, 11:33 AM
 */

package IDE.Recording;

import javax.swing.*;
import java.awt.event.*;
import IDE.Configuration.*;
import IDE.Messaging.*;

/**
 * Action to ask for the replay of a macro 
 * @author  marc
 */
public class ReplayRecordingAction extends AbstractManagedAction
{
    static
    {
        InstructionField.addQuestion("askreplay",new StringQuestion("Name macro")
        {
            public void processEnter(String answer)
            {
                if (answer==null)
                    return;
                if (answer.length()==0)
                    Recording.replay("*");
                else
                    Recording.replay(answer);
            }
        });
    }
    /** Creates a new instance of StartRecordingAction */
    public ReplayRecordingAction(String name)
    {
        super(name);
    }
    public ReplayRecordingAction(String name, ImageIcon icon)
    {
        super(name,icon);
    }
    public void actionPerformed(ActionEvent actionEvent)
    {
        InstructionField.ask("askreplay");
    }
}
