/*
 * StartRecordingAction.java
 *
 * Created on May 5, 2002, 11:33 AM
 */

package IDE.Recording;

import javax.swing.*;
import java.awt.event.*;
import IDE.Configuration.*;
import IDE.Messaging.*;

/**
 * Action to start the recording
 * @author  marc
 */
public class StopRecordingAction extends AbstractManagedAction
{
    static
    {
        InstructionField.addQuestion("askstoprecording",new StringQuestion("Name macro")
        {
            public void processEnter(String answer)
            {
                if (answer==null)
                    Recording.abortRecording();
                else if (answer.length()!=0)
                    Recording.stopRecording(answer);
            }
        });
    }
    /** Creates a new instance of StartRecordingAction */
    public StopRecordingAction(String name)
    {
        super(name);
    }
    public StopRecordingAction(String name, ImageIcon icon)
    {
        super(name,icon);
    }
    public void actionPerformed(ActionEvent actionEvent)
    {
        Recording.stopRecording();
        InstructionField.ask("askstoprecording");
    }
}
