/*
 * WatchValueNode.java
 *
 * Created on December 2, 2001, 6:14 PM
 */

package IDE.Watch;

import javax.swing.*;

/**
 *
 * @author  marc
 */
public class WatchValueNode extends AbstractWatchNode
{
    /** Contains the icon of this node */
    ImageIcon icon;
    /** Contains the text of this node */
    String text;
    /** Creates a new instance of WatchValueNode */
    public WatchValueNode(String text)
    {
        super(text);
    }
    /** Set the text and the icon of this node */
    public void setTextAndIcon(String text,ImageIcon icon) 
    {
        this.icon=icon;
        this.text=text;
    }

    /** Return the icon for this node  */
    public ImageIcon getIcon()
    {
       return icon;
    }
    /** Return the string to display for this node  */
    public String getDisplayString()
    {
        if (title==null)
            return text;
        else
            return title+"==>"+text;
    }
    public boolean isLeaf()
    {
        return false;
    }
}
