/*
 * CodeLeafNewLineElement.java
 *
 * Created on October 7, 2001, 3:30 PM
 */

package IDE.CodeEditor;

/**
 * Represents a new line leaf element
 * @author  marc
 * @version 
 */
public class CodeLeafSeparator extends CodeLeafElement
{
    /* Separator  char */
    private char separator;
    /** Creates new CodeLeafSeparator */
    public CodeLeafSeparator(CodeDocument document, int begin) 
    {
        super(document,begin);
        setLength(1);
    }
    /** Get the character of the separator */
    public char getSeparatorChar()
    {
        return separator;
    }
    /** Set the separator character */
    public void setSeparatorChar(char separator)
    {
        this.separator=separator;
    }
}
