/*
 * CodeLeafElement.java
 *
 * Created on September 30, 2001, 7:26 PM
 */

package IDE.CodeEditor.Parser;

import java.awt.*;
import IDE.CodeEditor.*;
import IDE.Configuration.*;

/**
 * Represents either a comment to the end of a line or a multiline comment
 * @author  marc
 * @version 
 */
public class LispCommentElement extends CodeStructureElement
{
    /** Get the color of a comment */
    public Color getColor()
    {
        return Configuration.colorComment;
    }
    /** Get the font for the comments */
    public Font getFont()
    {
        return Configuration.commentFont;
    }
}
