/*
 * LispElement.java
 *
 * Created on September 30, 2001, 7:59 PM
 */

package IDE.CodeEditor.Parser;

import IDE.CodeEditor.*;
/**
 * Represents the #+test code or #-test code elements
 * @author  marc
 * @version 
 */
public class LispOptionalElement extends CodeStructureElement
{
    /** Test */
    private CodeElement test;
    /** Code */
    private CodeElement code;
    /** Type (true for a + false for a -)*/
    private boolean add;
    /** Creates new LispElement */
    public LispOptionalElement() 
    {
    }
    /** Set the test */
    public void setTest(CodeElement test)
    {
        this.test=test;
    }
    /** Set the test */
    public void setCode(CodeElement code)
    {
        this.code=code;
    }
    /** Set the test */
    public void setAdd(boolean add)
    {
        this.add=add;
    }
    /** Get the test */
    public CodeElement getTest()
    {
        return test;
    }
    /** Get the code */
    public CodeElement getCode()
    {
        return code;
    }
    /** Check if it is a add or a remove */
    public boolean isAdd()
    {
        return add;
    }
    /** Override the analyze method */
    public boolean analyze()
    {
        if (code instanceof LispListElement)
            return code.analyze();
        else
            return false;
    }
}
