/*
 * InstallParameters.java
 *
 * Created on July 30, 2002, 9:44 AM
 */

package IDE.Configuration;

/**
 * Static class to hold the installation parameters passed on to the IDE via paramters
 * This class contains only static methods
 * @author  marc
 */
public class InstallParameters
{
    /** Directory where Jabberwocky is installed */
    private static String installdir=null;
    /** Directory from where Jabberwocky was installed */
    private static String sourcedir=null;
    /** Command to start CLISP */
    private static String clispcommand=null;
    /** Command to start CMUCL */
    private static String cmuclcommand=null;
    /** Command to start ACL */
    private static String aclcommand=null;
    /** Set the installdir */
    public static void setInstallDir(String installdir)
    {
        InstallParameters.installdir=installdir;
    }
    /** Set the sourcedir */
    public static void setSourceDir(String sourcedir)
    {
        InstallParameters.sourcedir=sourcedir;
    }
    /** Get the installdir */
    public static String getInstallDir()
    {
        return installdir; 
    }
    /** Get the sourcedir */ 
    public static String getSourceDir()
    {
        return sourcedir;
    }
}
