/*
 * HintInfo.java
 *
 * Created on February 26, 2002, 2:22 PM
 */

package IDE.Help;

import IDE.CodeEditor.*;

/**
 * Used to pass hint information during a call
 * @author  marc
 */
public class HintInfo
{
    /** List of syntax hints */
    public String[] hints;
    /** Index of the best hint */
    public int iHint;
    /** Text to display as syntax help*/
    public String syntaxhint;
    /** Leaf that should be replaced, by code completion if needed */
    public CodeLeafElement leaf;
}
