/*
 * Created on Aug 17, 2003
 */
 
package IDE.Project;

import javax.swing.JPopupMenu;

/**
 * @author marc
 * Represents the information a node needs in the ProjectExplorer 
 */
public interface INode 
{
	/** The name of the node */
	public abstract String getUniqueName();
	/** The display name of the node */
	public abstract String getDisplayName();
	/** The iconfile for the node icon */
	public abstract String getIconFile();
	/** The popup menu associated with the node */
	public abstract JPopupMenu getPopupMenu();
	/** Called when we double click on a node */
	public abstract void doubleClick();
	/** The tooltip for the node */
	public abstract String getTooltip();
}
