/*
 * Created on Jul 19, 2003
 */
 
package IDE.Project;

import java.util.Comparator;

/**
 * @author marc
 * Class to compare arrays of strings (singleton class)
 */
public class INodeArrayComparator  implements Comparator
{
	public final static INodeArrayComparator comparator=new INodeArrayComparator();
	private INodeArrayComparator()
	{
	}
	/* (non-Javadoc)
	 * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
	 */
	public int compare(Object o1, Object o2) 
	{
		INode[] s1=(INode[]) o1;
		INode[] s2=(INode[]) o2;
		int c;
		int i=0;
		while (true)
		{
			if (i>=s1.length && i>=s2.length)
				return 0;
			else if (i>=s1.length)
				return -1;
			else if (i>=s2.length)
				return 1;
			else
			{
				c=s1[i].getUniqueName().compareTo(s2[i].getUniqueName());
				if (c==0)
					i++;
				else
					return c;
			}
		}
	}

}
