/*
 * Created on Jul 21, 2003
 */
 
package IDE.Project;

import java.awt.*;
import javax.swing.*;
import javax.swing.tree.*;
import IDE.Configuration.*;
/**
 * @author marc
 *
 */
public class ProjectNodeRenderer extends JLabel implements TreeCellRenderer
{

	/* (non-Javadoc)
	 * @see javax.swing.tree.TreeCellRenderer#getTreeCellRendererComponent(javax.swing.JTree, java.lang.Object, boolean, boolean, boolean, int, boolean)
	 */
	public Component getTreeCellRendererComponent(JTree tree, Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus) 
	{
		ExplorerNode  node=(ExplorerNode) value;
		setText(node.getDisplayName());
		setIcon(node.getIcon());
		setFont(Configuration.explorerFont);
		// Set the background depending on the selection
		if (selected)
		{
			setOpaque(true);
			setBackground(Configuration.colorSelected);
			setForeground(Color.black);
		}
		else
		{
			setOpaque(false);
			setForeground(Color.black);
		};
		// Set the tooltip
		setToolTipText(node.getToolTip());
		return this;
	}
}
