/*
 * IRecordable.java
 * Interface which must be implemented by everything which could be recorded in the recorder
 * Created on May 5, 2002, 10:39 AM
 */

package IDE.Recording;

/**
 * Interface which must be implemented by everything which could be recorded in the recorder
 * @author  marc
 */
public interface IRecordable
{
    /** Restore the state of this instance, essentially part of the constructor code must be recreated */
    public abstract boolean restoreState();
}
