/*
 * MacroNode.java
 *
 * Created on May 9, 2002, 12:56 PM
 */

package IDE.Recording;


/**
 * Represents a macro node
 * @author  marc
 */
public class MacroActionNode extends AbstractMacroNode
{
    RecordActionEvent event;
    /** Creates a new instance of MacroNode */
    public MacroActionNode(RecordActionEvent event)
    {
        super(event.getName());
        this.event=event;
    }
    /** Get the name of this node  */
    public String getName()
    {
        return event.getName();
    }
    /** Indicates this is not a leaf */
    public boolean isLeaf()
    {
        return true;
    }
}