/*
 * MacroNode.java
 *
 * Created on May 9, 2002, 12:56 PM
 */

package IDE.Recording;


/**
 * Represents a macro node of a key event
 * @author  marc
 */
public class MacroInsertDeadKey extends AbstractMacroNode
{
    private char unicodechar;
    /** Creates a new instance of MacroNode */
    public MacroInsertDeadKey(char unicodechar)
    {
        super("");
        this.unicodechar=unicodechar;
    }
    /** Get the name of this node  */
    public String getName()
    {
        return "Character inserted \""+unicodechar+"\"";
    }
    /** Indicates this is not a leaf */
    public boolean isLeaf()
    {
        return true;
    }
}