/*
 * RecordActionEvent.java
 *
 * Created on May 9, 2002, 1:54 PM
 */

package IDE.Recording;

import IDE.Configuration.*;
import javax.swing.*;

/**
 * Represents a record of the execution of a action
 * @author  marc
 */
/** Innerclass representing a record */
public class RecordActionEvent
{
    private AbstractIDEAction action;
    
    public RecordActionEvent(AbstractIDEAction action)
    {
        this.action=action;
    }
    /** Get the name of the action */
    public String getName()
    {
        return (String) action.getValue(AbstractAction.SHORT_DESCRIPTION);
    }
    /** Get the action */
    public AbstractIDEAction getAction()
    {
        return action;
    }
}

