/*
 * IWatchNode.java
 *
 * Created on December 2, 2001, 6:06 PM
 */

package IDE.Watch;

import javax.swing.*;
import javax.swing.tree.*;

/**
 * Abstract class representing a watch node
 * @author  marc
 */
public abstract class AbstractWatchNode extends DefaultMutableTreeNode
{
    protected String title;
    public AbstractWatchNode(String string)
    {
        super(string);
    }
    /** Return the string to display for this node */
    public abstract String getDisplayString();
    /** Return the icon for this node */
    public abstract ImageIcon getIcon();
    /** Set the text and type of the node */
    public abstract void setTextAndIcon(String text,ImageIcon icon);
}

